% Rotd-2011-11-21 (and a bit before) apply the direct arg functor optimisation
% to the cpx_constraint/0 type in the daf_bug_sub submodule but not in its
% parent, daf_bug, module.
% "Parent Value" and "Child Value" below should be identical.
%
:- module daf_bug_run.
:- interface.

:- import_module io.

:- pred main(io::di, io::uo) is det.

:- implementation.

:- import_module daf_bug.
:- import_module daf_bug.daf_bug_sub.

main(!IO) :-
	io.write_string("Parent Value = ", !IO),
	io.write(parent_value, !IO),
	io.nl(!IO),
	io.write_string("Child Value = ", !IO),
	io.write(child_value, !IO),
	io.nl(!IO).
